<?php
declare(strict_types=1);

namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class Send_SMS_Code_Response extends Abstract_Response
{
    protected bool $show_popup = false;
    protected string $notification_token_id = '';
    protected bool $user_used_push_notifications = false;
    protected string $html = '';

    public function get_array(): array
    {
        return [
            'show_popup' => $this->show_popup,
            'notificationTokenId' => $this->notification_token_id,
            'userUsedPushNotifications' => $this->user_used_push_notifications,
            'html' => $this->html,
        ];
    }

    public function set_show_popup(bool $flag): void
    {
        $this->show_popup = $flag;
    }

    public function set_notification_token_id(string $id): void
    {
        $this->notification_token_id = $id;
    }

    public function set_user_used_push_notifications(bool $flag): void
    {
        $this->user_used_push_notifications = $flag;
    }

    public function set_html(string $html): void
    {
        $this->html = $html;
    }
}
